API Explorer 936 endpoints

Get Personal Data Fields

GET /obp/v7.0.0/my/personal-data-fields

OBPv6.0.0-getPersonalDataFields No role required UserUser-AttributeAttribute

Get Personal Data Fields for the currently authenticated user.

Returns all Personal Data Fields (IsPersonal=true) that are managed by the user, as a list.

Each field has its own USER_ATTRIBUTE_ID. The "name" is not a unique key, so the list may contain multiple fields with the same "name" (each a distinct USER_ATTRIBUTE_ID). Use the USER_ATTRIBUTE_ID to fetch, update or delete a specific field.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

JSON response body fields (7)
insert_date
2020-01-27
is_personal
is_personal
name
ACCOUNT_MANAGEMENT_FEE
type
user_attribute_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
user_attributes
user_attributes
value
5987953
Example success response
{
  "user_attributes": [
    {
      "user_attribute_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
      "name": "BATTERY_LEVEL",
      "type": "STRING",
      "value": "90",
      "is_personal": false,
      "insert_date": "2026-10-21T01:45:41Z"
    }
  ]
}
Possible errors (2)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 getPersonalDataFields Originally /obp/v6.0.0/my/personal-data-fields